org.apache.ode.utils

## Class Namespaces

- java.lang.Object
- - org.apache.ode.utils.Namespaces

-     public class Namespaces
      extends java.lang.Object

  Constant class to centralize all namespaces declarations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BPEL11_NS` BPEL 1.1
    `static java.lang.String` | `DEPRECATED_XDT_NS`
    `static java.lang.String` | `HTTP_NS`
    `static java.lang.String` | `INTALIO_SESSION_NS`
    `static java.lang.String` | `JBI_END_POINT_REFERENCE`
    `static java.lang.String` | `ODE_DEPLOYAPI_NS`
    `static java.lang.String` | `ODE_EXTENSION_NS`
    `static java.lang.String` | `ODE_HTTP_EXTENSION_NS`
    `static java.lang.String` | `ODE_PMAPI` Deprecated. use #ODE_PMAPI_TYPES_NS
    `static java.lang.String` | `ODE_PMAPI_NS`
    `static java.lang.String` | `ODE_PMAPI_TYPES_NS`
    `static java.lang.String` | `ODE_SESSION_NS`
    `static java.lang.String` | `SOAP_ENV_NS`
    `static java.lang.String` | `SOAP_NS`
    `static java.lang.String` | `WS_ADDRESSING_ANON_URI`
    `static javax.xml.namespace.QName` | `WS_ADDRESSING_ENDPOINT`
    `static java.lang.String` | `WS_ADDRESSING_NS` Diverse WS-* stuff
    `static javax.xml.namespace.QName` | `WS_ADDRESSING_USINGADDRESSING`
    `static java.lang.String` | `WS_ADDRESSING_WSDL_NS`
    `static java.lang.String` | `WS_BPEL_20_NS` BPEL 2.0 draft
    `static java.lang.String` | `WSBPEL2_0_FINAL_ABSTRACT` BPEL 2.0 Final namespaces
    `static java.lang.String` | `WSBPEL2_0_FINAL_EXEC`
    `static java.lang.String` | `WSBPEL2_0_FINAL_PLINK`
    `static java.lang.String` | `WSBPEL2_0_FINAL_SERVREF`
    `static java.lang.String` | `WSBPEL2_0_FINAL_VARPROP`
    `static java.lang.String` | `WSDL_11`
    `static java.lang.String` | `WSDL_20`
    `static java.lang.String` | `XML_INSTANCE`
    `static java.lang.String` | `XML_SCHEMA`
    `static java.lang.String` | `XML_URI` XML namespaces
    `static java.lang.String` | `XMLNS_URI`
    `static java.lang.String` | `XPATH_FUNCTIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Namespaces()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_URI

          public static final java.lang.String XML_URI

      XML namespaces

    - #### XMLNS_URI

          public static final java.lang.String XMLNS_URI

    - #### WSBPEL2_0_FINAL_ABSTRACT

          public static final java.lang.String WSBPEL2_0_FINAL_ABSTRACT

      BPEL 2.0 Final namespaces

    - #### WSBPEL2_0_FINAL_EXEC

          public static final java.lang.String WSBPEL2_0_FINAL_EXEC

    - #### WSBPEL2_0_FINAL_PLINK

          public static final java.lang.String WSBPEL2_0_FINAL_PLINK

    - #### WSBPEL2_0_FINAL_SERVREF

          public static final java.lang.String WSBPEL2_0_FINAL_SERVREF

    - #### WSBPEL2_0_FINAL_VARPROP

          public static final java.lang.String WSBPEL2_0_FINAL_VARPROP

    - #### WS_BPEL_20_NS

          public static final java.lang.String WS_BPEL_20_NS

      BPEL 2.0 draft

    - #### BPEL11_NS

          public static final java.lang.String BPEL11_NS

      BPEL 1.1

    - #### WS_ADDRESSING_NS

          public static final java.lang.String WS_ADDRESSING_NS

      Diverse WS-* stuff

    - #### WS_ADDRESSING_WSDL_NS

          public static final java.lang.String WS_ADDRESSING_WSDL_NS

    - #### WS_ADDRESSING_ANON_URI

          public static final java.lang.String WS_ADDRESSING_ANON_URI

    - #### HTTP_NS

          public static final java.lang.String HTTP_NS

    - #### SOAP_NS

          public static final java.lang.String SOAP_NS

    - #### SOAP_ENV_NS

          public static final java.lang.String SOAP_ENV_NS

    - #### WSDL_11

          public static final java.lang.String WSDL_11

    - #### WSDL_20

          public static final java.lang.String WSDL_20

    - #### XML_SCHEMA

          public static final java.lang.String XML_SCHEMA

    - #### XML_INSTANCE

          public static final java.lang.String XML_INSTANCE

    - #### XPATH_FUNCTIONS

          public static final java.lang.String XPATH_FUNCTIONS

    - #### JBI_END_POINT_REFERENCE

          public static final java.lang.String JBI_END_POINT_REFERENCE

    - #### WS_ADDRESSING_ENDPOINT

          public static final javax.xml.namespace.QName WS_ADDRESSING_ENDPOINT

    - #### WS_ADDRESSING_USINGADDRESSING

          public static final javax.xml.namespace.QName WS_ADDRESSING_USINGADDRESSING

    - #### ODE_PMAPI

          public static final java.lang.String ODE_PMAPI

      Deprecated. use #ODE_PMAPI_TYPES_NS

    - #### ODE_PMAPI_TYPES_NS

          public static final java.lang.String ODE_PMAPI_TYPES_NS

    - #### ODE_PMAPI_NS

          public static final java.lang.String ODE_PMAPI_NS

    - #### ODE_DEPLOYAPI_NS

          public static final java.lang.String ODE_DEPLOYAPI_NS

    - #### ODE_EXTENSION_NS

          public static final java.lang.String ODE_EXTENSION_NS

    - #### ODE_HTTP_EXTENSION_NS

          public static final java.lang.String ODE_HTTP_EXTENSION_NS

    - #### INTALIO_SESSION_NS

          public static final java.lang.String INTALIO_SESSION_NS

    - #### ODE_SESSION_NS

          public static final java.lang.String ODE_SESSION_NS

    - #### DEPRECATED_XDT_NS

          public static final java.lang.String DEPRECATED_XDT_NS

  - ### Constructor Detail

    - #### Namespaces

          public Namespaces()